Appearance
project/tagfolders
Lists tag folders for one project.
Method and path
GET /project/tagfolders/{project_id}
Authentication
Authentication is required. See Authentication.
Permissions
Accessible to tiers 1, 2, 3, and 4.
Request headers
| Header | Required | Description |
|---|---|---|
X-Api-Key or X_API_KEY | yes | API key. |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
project_id | integer | yes | Project identifier. |
Example request
bash
curl "$SIGNAL_API_BASE_URL/project/tagfolders/<project_id>" \
-H "X-Api-Key: $SIGNAL_API_KEY"Example response
json
{
"data": [
{
"id": 7,
"label": "Example Folder"
}
]
}Response fields
| Field | Type | Description |
|---|---|---|
data | array<object> | Tag folder collection. |
Tag folder object fields
| Field | Type | Description |
|---|---|---|
id | integer | Tag folder identifier. |
label | string | Tag folder label. |
Notes
- When no folders are available, the endpoint returns
{"data": []}.